#include <bits/stdc++.h>
using namespace std;
cin.tie(0);
    std::ios::sync_with_stdio(false);
int main(){
    int n, arr[10];
int k=0;
int a;
cin >> n;
for (int i = 0; i < n; i++){
    cin >> arr[i];
}
a = max_element(arr, arr + n) - arr;
for(int i=n-1; i>=0; i--){
    if(arr[i]==arr[a]){
        a=i;
        break;
    }
}
if(n==2){
    cout<<arr[1]<<" "<<arr[0];
}else{
    if(a==0){
        for(int i=0; i<n-1; i++){
            if(arr[i]<arr[i+1]){
                k++;
            }
        }
        if(k==0){
                swap(arr[n-1],arr[n-2]);
            for (int i = 0; i < n; i++){
                cout<< arr[i]<< " ";
                }
        }else{
                a = max_element(arr+2, arr + n) - arr;
        swap(arr[1], arr[a]);
        for (int i = 0; i < n; i++){
                cout<< arr[i]<< " ";
                }
    }
    }else{
        arr[0]+=arr[a];
        arr[a]=arr[0]-arr[a];
        arr[0]=arr[0]-arr[a];
        for (int i = 0; i < n; i++){
            cout<< arr[i]<< " ";
    }
}
}
return 0;
}